Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg.model
Class PropertyRuntime

    java.lang.Object
      de.grogra.xl.impl.property.RuntimeModel
          de.grogra.rgg.model.PropertyRuntime

All Implemented Interfaces:
  RuntimeModel

    public class PropertyRuntime

extends RuntimeModel

Nested Class Summary
`static class` | `PropertyRuntime.GraphProperty<T>`

Nested classes/interfaces inherited from class de.grogra.xl.impl.property.RuntimeModel
`RuntimeModel.BooleanProperty, RuntimeModel.ByteProperty, RuntimeModel.CharProperty, RuntimeModel.DoubleProperty, RuntimeModel.FloatProperty, RuntimeModel.IntProperty, RuntimeModel.LongProperty, RuntimeModel.ObjectProperty<T>, RuntimeModel.ShortProperty`

Nested classes/interfaces inherited from interface de.grogra.xl.property.RuntimeModel
`RuntimeModel.Property`

Field Summary
`static PropertyRuntime` | `INSTANCE`

Constructor Summary
`PropertyRuntime()`

Method Summary
`RuntimeModel.Property` | `propertyForName(java.lang.String cfc, TypeLoader loader)` Returns the run-time `Property` for a given `name`.

Methods inherited from class de.grogra.xl.impl.property.RuntimeModel
`getInterface, initialize, propertyForName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final PropertyRuntime INSTANCE

Constructor Detail

### PropertyRuntime

    public PropertyRuntime()

Method Detail

### propertyForName

    public RuntimeModel.Property propertyForName(java.lang.String cfc,
                                                 TypeLoader loader)

  Description copied from interface: `RuntimeModel`
  Returns the run-time `Property` for a given `name`. The `name` has to be a name which was returned by an invocation of `CompiletimeModel.Property.getRuntimeName()` for a compile-time property at compile-time. The implementation has to return the corresponding run-time property. If classes have to be loaded, the `loader` has to be used.

  Parameters:
    `cfc` - the name of the property, as returned by the compile-time property
    `loader` - a loader for loading of classes
  Returns:
    the run-time property corresponding to `name`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD